Get Target Creation Property Values

Connections which support creating new sync target objects (destinations) will return `target_creation` with their [target object list](./list). This endpoint will return possible values for properties where `enum` is `true`. If the connection does not support creating new target objects, an HTTP 404 will be returned. The `values` array lists the valid options (and labels) for the property. Each member of the `values` array has a `label` and `value`. For exaample, ```json { "data": [ { "id": "account", "title": "Account ID", "enum": true, "values": [ { "value": "1234567::urn:li:organization:987654", "label": "Polytomic Inc. (1234567)" } ] } ] } ``` The `value` for the selected option should be passed when [creating a sync](https://apidocs.polytomic.com/2024-02-08/api-reference/model-sync/create).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
propertystringRequired

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

400
Targets Get Create Property Request Bad Request Error
401
Targets Get Create Property Request Unauthorized Error
403
Targets Get Create Property Request Forbidden Error
404
Targets Get Create Property Request Not Found Error
500
Targets Get Create Property Request Internal Server Error